<app-menu></app-menu>
<br>

<div class="container">
  <h3>Доктора</h3>
  <form [formGroup]="doctorsForm" noValidate (ngSubmit)="submit()">

    <div class="form-group">
      <label>Фамилия:</label>
      <input class="form-control" formControlName="surname" required>

      <div class="alert alert-danger"
           *ngIf="doctorsForm.controls['surname'].invalid && doctorsForm.controls['surname'].touched">
        Не указана фамилия
      </div>

    </div>

    <div class="form-group">
      <label>Имя:</label>
      <input class="form-control" formControlName="name" required>

      <div class="alert alert-danger"
           *ngIf="doctorsForm.controls['name'].invalid && doctorsForm.controls['name'].touched">
        Не указано имя
      </div>

    </div>

    <div class="form-group">
      <button class="btn btn-default" [disabled]="doctorsForm.invalid">
        Добавить
      </button>

    </div>
  </form>
</div>

<div class="container">
  <ul class="list-group">
    <li class="list-group-item" *ngFor="let doctor of doctors">
      {{ doctor.surname }} {{ doctor.name }}
      <button class="btn btn-warning" (click)="delete(doctor._id)">
        Удалить
      </button>
    </li>
  </ul>
</div>
